# Class BasicScrollPaneUI.HSBChangeListener

java.lang.Object
javax.swing.plaf.basic.BasicScrollPaneUI.HSBChangeListener

All Implemented Interfaces:
  `EventListener, ChangeListener`

Enclosing class:
  `BasicScrollPaneUI`

@Deprecated(since="17", forRemoval=true) public class BasicScrollPaneUI.HSBChangeListener extends Object implements ChangeListener
Deprecated, for removal: This API element is subject to removal in a future version.
Horizontal scrollbar listener. This class exists only for backward compatibility. All its functionality has been moved into Handler.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `HSBChangeListener()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Constructs a `HSBChangeListener`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `stateChanged(ChangeEvent e)`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Invoked when the target of the listener has changed its state.

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  Creates and returns a copy of this object.
  `boolean`
  `equals(Object obj)`
  Indicates whether some other object is "equal to" this one.
  `protected void`
  `finalize()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Finalization is deprecated and subject to removal in a future release.
  `final Class<?>`
  `getClass()`
  Returns the runtime class of this `Object`.
  `int`
  `hashCode()`
  Returns a hash code value for this object.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `String`
  `toString()`
  Returns a string representation of the object.
  `final void`
  `wait()`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
  `final void`
  `wait(long timeoutMillis)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
  `final void`
  `wait(long timeoutMillis, int nanos)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

- ## Constructor Details

  - ### HSBChangeListener

    public HSBChangeListener()
    Deprecated, for removal: This API element is subject to removal in a future version.
    Constructs a `HSBChangeListener`.

- ## Method Details

  - ### stateChanged

    public void stateChanged(ChangeEvent e)
    Deprecated, for removal: This API element is subject to removal in a future version.
    Description copied from interface: `ChangeListener`
    Invoked when the target of the listener has changed its state.
    Specified by:
      `stateChanged` in interface `ChangeListener`
    Parameters:
      `e` - a ChangeEvent object